package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 房间状态 (active.激活，inactive.非激活，closed.关闭)枚举类
*
* @author zxfei
*/
public enum RoomStatusEnum {
    激活("active", "激活"),
    非激活("inactive", "非激活"),
    关闭("closed", "关闭");
    private String value;
    private String desc;

    RoomStatusEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static RoomStatusEnum getByValue(String value) {
        for (RoomStatusEnum roomStatusEnum : RoomStatusEnum.values()) {
            if (roomStatusEnum.getValue() == value) {
                return roomStatusEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (RoomStatusEnum item : RoomStatusEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}