package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 流类型：主流、屏幕共享(main.主流，screen_share.屏幕共享)枚举类
*
* @author zxfei
*/
public enum StreamTypeEnum {
    主流("main", "主流"),
    屏幕共享("screen_share", "屏幕共享");
    private String value;
    private String desc;

    StreamTypeEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static StreamTypeEnum getByValue(String value) {
        for (StreamTypeEnum streamTypeEnum : StreamTypeEnum.values()) {
            if (streamTypeEnum.getValue() == value) {
                return streamTypeEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (StreamTypeEnum item : StreamTypeEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}