package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 第三方操作类型(create.创建，update.更新，delete.删除，sync.同步，other.其他)枚举类
*
* @author zxfei
*/
public enum ThirdPartyActionEnum {
    创建("create", "创建"),
    更新("update", "更新"),
    删除("delete", "删除"),
    同步("sync", "同步"),
    其他("other", "其他");
    private String value;
    private String desc;

    ThirdPartyActionEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ThirdPartyActionEnum getByValue(String value) {
        for (ThirdPartyActionEnum thirdPartyActionEnum : ThirdPartyActionEnum.values()) {
            if (thirdPartyActionEnum.getValue() == value) {
                return thirdPartyActionEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ThirdPartyActionEnum item : ThirdPartyActionEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}