package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 第三方平台类型(tencent.腾讯云,aliyun.阿里云,other.其它)枚举类
*
* @author zxfei
*/
public enum ThirdPartyPlatformEnum {
    腾讯云("tencent", "腾讯云"),
    阿里云("aliyun", "阿里云"),
    其它("other", "其它");
    private String value;
    private String desc;

    ThirdPartyPlatformEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static ThirdPartyPlatformEnum getByValue(String value) {
        for (ThirdPartyPlatformEnum thirdPartyPlatformEnum : ThirdPartyPlatformEnum.values()) {
            if (thirdPartyPlatformEnum.getValue() == value) {
                return thirdPartyPlatformEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (ThirdPartyPlatformEnum item : ThirdPartyPlatformEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}