package com.mortals.xhx.module.room.model;
import java.util.List;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.room.model.vo.RoomVo;
import com.mortals.xhx.module.room.model.RoomMemberEntity;
import lombok.Data;
/**
* 房间实体对象
*
* @author zxfei
* @date 2024-12-17
*/
@Data
public class RoomEntity extends RoomVo {
    private static final long serialVersionUID = 1L;

    /**
    * 房间名称
    */
    private String roomName;
    /**
    * 房间类型(1.单人房间，2.多人房间)
    */
    private Integer roomType;
    /**
    * 第三方平台的房间唯一标识
    */
    private String thirdPartyRoomId;
    /**
    * 第三方平台类型(tencent.腾讯云,aliyun.阿里云,other.其它)
    */
    private String thirdPartyPlatform;
    /**
    * 第三方平台的额外配置
    */
    private String thirdPartyConfig;
    /**
    * 房间开始时间,如直播、会议等
    */
    private Date startTime;
    /**
    * 房间结束时间
    */
    private Date endTime;
    /**
    * 是否被锁定，避免新用户加入(0.否，1.是)
    */
    private Integer locked;
    /**
    * 房间状态 (active.激活，inactive.非激活，closed.关闭)
    */
    private String roomStatus;
    /**
    * 房间成员信息
    */
    private List<RoomMemberEntity> roomMemberList=new ArrayList<>();;
    public List<RoomMemberEntity> getRoomMemberList(){
      return roomMemberList;
    }

    public void setRoomMemberList(List<RoomMemberEntity> roomMemberList){
        this.roomMemberList = roomMemberList;
    }
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof RoomEntity) {
            RoomEntity tmp = (RoomEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.roomName = "";
            this.roomType = 1;
            this.thirdPartyRoomId = "";
            this.thirdPartyPlatform = "other";
            this.thirdPartyConfig = "";
            this.startTime = null;
            this.endTime = null;
            this.locked = 0;
            this.roomStatus = "inactive";
    }
}