package com.mortals.xhx.module.room.model;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.room.model.vo.RoomMemberVo;
import lombok.Data;
/**
 * 房间成员实体对象
 *
 * @author zxfei
 * @date 2024-12-25
 */
@Data
public class RoomMemberEntity extends RoomMemberVo {
    private static final long serialVersionUID = 1L;

    /**
     * 房间ID
     */
    private Long roomId;
    /**
     * 成员id
     */
    private String memberId;
    /**
     * 成员类型(1.普通人员,2.工作人员)
     */
    private Integer memberType;
    /**
     * 是否启用音频(0.否，1.是)
     */
    private Integer audioEnabled;
    /**
     * 是否启用视频(0.否，1.是)
     */
    private Integer videoEnabled;
    /**
     * 备注
     */
    private String remark;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof RoomMemberEntity) {
            RoomMemberEntity tmp = (RoomMemberEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
        this.roomId = null;
        this.memberId = "";
        this.memberType = 0;
        this.audioEnabled = 1;
        this.videoEnabled = 1;
        this.remark = "";
    }
}