package com.mortals.xhx.module.room.model;

import java.util.List;
import com.mortals.xhx.module.room.model.RoomMemberEntity;
/**
 * 房间成员查询对象
 *
 * @author zxfei
 * @date 2024-12-25
 */
public class RoomMemberQuery extends RoomMemberEntity {
    /** 开始 种类详情id */
    private Long idStart;

    /** 结束 种类详情id */
    private Long idEnd;

    /** 增加 种类详情id */
    private Long idIncrement;

    /** 种类详情id列表 */
    private List <Long> idList;

    /** 种类详情id排除列表 */
    private List <Long> idNotList;

    /** 开始 房间ID */
    private Long roomIdStart;

    /** 结束 房间ID */
    private Long roomIdEnd;

    /** 增加 房间ID */
    private Long roomIdIncrement;

    /** 房间ID列表 */
    private List <Long> roomIdList;

    /** 房间ID排除列表 */
    private List <Long> roomIdNotList;

    /** 成员id */
    private List<String> memberIdList;

    /** 成员id排除列表 */
    private List <String> memberIdNotList;
    /** 开始 成员类型(1.普通人员,2.工作人员) */
    private Integer memberTypeStart;

    /** 结束 成员类型(1.普通人员,2.工作人员) */
    private Integer memberTypeEnd;

    /** 增加 成员类型(1.普通人员,2.工作人员) */
    private Integer memberTypeIncrement;

    /** 成员类型(1.普通人员,2.工作人员)列表 */
    private List <Integer> memberTypeList;

    /** 成员类型(1.普通人员,2.工作人员)排除列表 */
    private List <Integer> memberTypeNotList;

    /** 开始 是否启用音频(0.否，1.是) */
    private Integer audioEnabledStart;

    /** 结束 是否启用音频(0.否，1.是) */
    private Integer audioEnabledEnd;

    /** 增加 是否启用音频(0.否，1.是) */
    private Integer audioEnabledIncrement;

    /** 是否启用音频(0.否，1.是)列表 */
    private List <Integer> audioEnabledList;

    /** 是否启用音频(0.否，1.是)排除列表 */
    private List <Integer> audioEnabledNotList;

    /** 开始 是否启用视频(0.否，1.是) */
    private Integer videoEnabledStart;

    /** 结束 是否启用视频(0.否，1.是) */
    private Integer videoEnabledEnd;

    /** 增加 是否启用视频(0.否，1.是) */
    private Integer videoEnabledIncrement;

    /** 是否启用视频(0.否，1.是)列表 */
    private List <Integer> videoEnabledList;

    /** 是否启用视频(0.否，1.是)排除列表 */
    private List <Integer> videoEnabledNotList;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<RoomMemberQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<RoomMemberQuery> andConditionList;

    public RoomMemberQuery(){}

    /**
     * 获取 开始 种类详情id
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 种类详情id
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 种类详情id
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 种类详情id
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 种类详情id
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 种类详情id
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 种类详情id
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 种类详情id
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 种类详情id
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 种类详情id
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 房间ID
     * @return roomIdStart
     */
    public Long getRoomIdStart(){
        return this.roomIdStart;
    }

    /**
     * 设置 开始 房间ID
     * @param roomIdStart
     */
    public void setRoomIdStart(Long roomIdStart){
        this.roomIdStart = roomIdStart;
    }

    /**
     * 获取 结束 房间ID
     * @return $roomIdEnd
     */
    public Long getRoomIdEnd(){
        return this.roomIdEnd;
    }

    /**
     * 设置 结束 房间ID
     * @param roomIdEnd
     */
    public void setRoomIdEnd(Long roomIdEnd){
        this.roomIdEnd = roomIdEnd;
    }

    /**
     * 获取 增加 房间ID
     * @return roomIdIncrement
     */
    public Long getRoomIdIncrement(){
        return this.roomIdIncrement;
    }

    /**
     * 设置 增加 房间ID
     * @param roomIdIncrement
     */
    public void setRoomIdIncrement(Long roomIdIncrement){
        this.roomIdIncrement = roomIdIncrement;
    }

    /**
     * 获取 房间ID
     * @return roomIdList
     */
    public List<Long> getRoomIdList(){
        return this.roomIdList;
    }

    /**
     * 设置 房间ID
     * @param roomIdList
     */
    public void setRoomIdList(List<Long> roomIdList){
        this.roomIdList = roomIdList;
    }

    /**
     * 获取 房间ID
     * @return roomIdNotList
     */
    public List<Long> getRoomIdNotList(){
        return this.roomIdNotList;
    }

    /**
     * 设置 房间ID
     * @param roomIdNotList
     */
    public void setRoomIdNotList(List<Long> roomIdNotList){
        this.roomIdNotList = roomIdNotList;
    }


    /**
     * 获取 成员id
     * @return memberIdList
     */
    public List<String> getMemberIdList(){
        return this.memberIdList;
    }

    /**
     * 设置 成员id
     * @param memberIdList
     */
    public void setMemberIdList(List<String> memberIdList){
        this.memberIdList = memberIdList;
    }

    /**
     * 获取 成员id
     * @return memberIdNotList
     */
    public List<String> getMemberIdNotList(){
        return this.memberIdNotList;
    }

    /**
     * 设置 成员id
     * @param memberIdNotList
     */
    public void setMemberIdNotList(List<String> memberIdNotList){
        this.memberIdNotList = memberIdNotList;
    }

    /**
     * 获取 开始 成员类型(1.普通人员,2.工作人员)
     * @return memberTypeStart
     */
    public Integer getMemberTypeStart(){
        return this.memberTypeStart;
    }

    /**
     * 设置 开始 成员类型(1.普通人员,2.工作人员)
     * @param memberTypeStart
     */
    public void setMemberTypeStart(Integer memberTypeStart){
        this.memberTypeStart = memberTypeStart;
    }

    /**
     * 获取 结束 成员类型(1.普通人员,2.工作人员)
     * @return $memberTypeEnd
     */
    public Integer getMemberTypeEnd(){
        return this.memberTypeEnd;
    }

    /**
     * 设置 结束 成员类型(1.普通人员,2.工作人员)
     * @param memberTypeEnd
     */
    public void setMemberTypeEnd(Integer memberTypeEnd){
        this.memberTypeEnd = memberTypeEnd;
    }

    /**
     * 获取 增加 成员类型(1.普通人员,2.工作人员)
     * @return memberTypeIncrement
     */
    public Integer getMemberTypeIncrement(){
        return this.memberTypeIncrement;
    }

    /**
     * 设置 增加 成员类型(1.普通人员,2.工作人员)
     * @param memberTypeIncrement
     */
    public void setMemberTypeIncrement(Integer memberTypeIncrement){
        this.memberTypeIncrement = memberTypeIncrement;
    }

    /**
     * 获取 成员类型(1.普通人员,2.工作人员)
     * @return memberTypeList
     */
    public List<Integer> getMemberTypeList(){
        return this.memberTypeList;
    }

    /**
     * 设置 成员类型(1.普通人员,2.工作人员)
     * @param memberTypeList
     */
    public void setMemberTypeList(List<Integer> memberTypeList){
        this.memberTypeList = memberTypeList;
    }

    /**
     * 获取 成员类型(1.普通人员,2.工作人员)
     * @return memberTypeNotList
     */
    public List<Integer> getMemberTypeNotList(){
        return this.memberTypeNotList;
    }

    /**
     * 设置 成员类型(1.普通人员,2.工作人员)
     * @param memberTypeNotList
     */
    public void setMemberTypeNotList(List<Integer> memberTypeNotList){
        this.memberTypeNotList = memberTypeNotList;
    }


    /**
     * 获取 开始 是否启用音频(0.否，1.是)
     * @return audioEnabledStart
     */
    public Integer getAudioEnabledStart(){
        return this.audioEnabledStart;
    }

    /**
     * 设置 开始 是否启用音频(0.否，1.是)
     * @param audioEnabledStart
     */
    public void setAudioEnabledStart(Integer audioEnabledStart){
        this.audioEnabledStart = audioEnabledStart;
    }

    /**
     * 获取 结束 是否启用音频(0.否，1.是)
     * @return $audioEnabledEnd
     */
    public Integer getAudioEnabledEnd(){
        return this.audioEnabledEnd;
    }

    /**
     * 设置 结束 是否启用音频(0.否，1.是)
     * @param audioEnabledEnd
     */
    public void setAudioEnabledEnd(Integer audioEnabledEnd){
        this.audioEnabledEnd = audioEnabledEnd;
    }

    /**
     * 获取 增加 是否启用音频(0.否，1.是)
     * @return audioEnabledIncrement
     */
    public Integer getAudioEnabledIncrement(){
        return this.audioEnabledIncrement;
    }

    /**
     * 设置 增加 是否启用音频(0.否，1.是)
     * @param audioEnabledIncrement
     */
    public void setAudioEnabledIncrement(Integer audioEnabledIncrement){
        this.audioEnabledIncrement = audioEnabledIncrement;
    }

    /**
     * 获取 是否启用音频(0.否，1.是)
     * @return audioEnabledList
     */
    public List<Integer> getAudioEnabledList(){
        return this.audioEnabledList;
    }

    /**
     * 设置 是否启用音频(0.否，1.是)
     * @param audioEnabledList
     */
    public void setAudioEnabledList(List<Integer> audioEnabledList){
        this.audioEnabledList = audioEnabledList;
    }

    /**
     * 获取 是否启用音频(0.否，1.是)
     * @return audioEnabledNotList
     */
    public List<Integer> getAudioEnabledNotList(){
        return this.audioEnabledNotList;
    }

    /**
     * 设置 是否启用音频(0.否，1.是)
     * @param audioEnabledNotList
     */
    public void setAudioEnabledNotList(List<Integer> audioEnabledNotList){
        this.audioEnabledNotList = audioEnabledNotList;
    }


    /**
     * 获取 开始 是否启用视频(0.否，1.是)
     * @return videoEnabledStart
     */
    public Integer getVideoEnabledStart(){
        return this.videoEnabledStart;
    }

    /**
     * 设置 开始 是否启用视频(0.否，1.是)
     * @param videoEnabledStart
     */
    public void setVideoEnabledStart(Integer videoEnabledStart){
        this.videoEnabledStart = videoEnabledStart;
    }

    /**
     * 获取 结束 是否启用视频(0.否，1.是)
     * @return $videoEnabledEnd
     */
    public Integer getVideoEnabledEnd(){
        return this.videoEnabledEnd;
    }

    /**
     * 设置 结束 是否启用视频(0.否，1.是)
     * @param videoEnabledEnd
     */
    public void setVideoEnabledEnd(Integer videoEnabledEnd){
        this.videoEnabledEnd = videoEnabledEnd;
    }

    /**
     * 获取 增加 是否启用视频(0.否，1.是)
     * @return videoEnabledIncrement
     */
    public Integer getVideoEnabledIncrement(){
        return this.videoEnabledIncrement;
    }

    /**
     * 设置 增加 是否启用视频(0.否，1.是)
     * @param videoEnabledIncrement
     */
    public void setVideoEnabledIncrement(Integer videoEnabledIncrement){
        this.videoEnabledIncrement = videoEnabledIncrement;
    }

    /**
     * 获取 是否启用视频(0.否，1.是)
     * @return videoEnabledList
     */
    public List<Integer> getVideoEnabledList(){
        return this.videoEnabledList;
    }

    /**
     * 设置 是否启用视频(0.否，1.是)
     * @param videoEnabledList
     */
    public void setVideoEnabledList(List<Integer> videoEnabledList){
        this.videoEnabledList = videoEnabledList;
    }

    /**
     * 获取 是否启用视频(0.否，1.是)
     * @return videoEnabledNotList
     */
    public List<Integer> getVideoEnabledNotList(){
        return this.videoEnabledNotList;
    }

    /**
     * 设置 是否启用视频(0.否，1.是)
     * @param videoEnabledNotList
     */
    public void setVideoEnabledNotList(List<Integer> videoEnabledNotList){
        this.videoEnabledNotList = videoEnabledNotList;
    }


    /**
     * 获取 备注
     * @return remarkList
     */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
     * 获取 备注
     * @return remarkNotList
     */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
     * 设置 备注
     * @param remarkNotList
     */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建用户
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  种类详情id
     * @param id
     */
    public RoomMemberQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 种类详情id
     * @param idStart
     */
    public RoomMemberQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 种类详情id
     * @param idEnd
     */
    public RoomMemberQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 种类详情id
     * @param idIncrement
     */
    public RoomMemberQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 种类详情id
     * @param idList
     */
    public RoomMemberQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 种类详情id
     * @param idNotList
     */
    public RoomMemberQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  房间ID
     * @param roomId
     */
    public RoomMemberQuery roomId(Long roomId){
        setRoomId(roomId);
        return this;
    }

    /**
     * 设置 开始 房间ID
     * @param roomIdStart
     */
    public RoomMemberQuery roomIdStart(Long roomIdStart){
        this.roomIdStart = roomIdStart;
        return this;
    }

    /**
     * 设置 结束 房间ID
     * @param roomIdEnd
     */
    public RoomMemberQuery roomIdEnd(Long roomIdEnd){
        this.roomIdEnd = roomIdEnd;
        return this;
    }

    /**
     * 设置 增加 房间ID
     * @param roomIdIncrement
     */
    public RoomMemberQuery roomIdIncrement(Long roomIdIncrement){
        this.roomIdIncrement = roomIdIncrement;
        return this;
    }

    /**
     * 设置 房间ID
     * @param roomIdList
     */
    public RoomMemberQuery roomIdList(List<Long> roomIdList){
        this.roomIdList = roomIdList;
        return this;
    }

    /**
     * 设置 房间ID
     * @param roomIdNotList
     */
    public RoomMemberQuery roomIdNotList(List<Long> roomIdNotList){
        this.roomIdNotList = roomIdNotList;
        return this;
    }


    /**
     * 设置 成员id
     * @param memberId
     */
    public RoomMemberQuery memberId(String memberId){
        setMemberId(memberId);
        return this;
    }

    /**
     * 设置 成员id
     * @param memberIdList
     */
    public RoomMemberQuery memberIdList(List<String> memberIdList){
        this.memberIdList = memberIdList;
        return this;
    }

    /**
     * 设置  成员类型(1.普通人员,2.工作人员)
     * @param memberType
     */
    public RoomMemberQuery memberType(Integer memberType){
        setMemberType(memberType);
        return this;
    }

    /**
     * 设置 开始 成员类型(1.普通人员,2.工作人员)
     * @param memberTypeStart
     */
    public RoomMemberQuery memberTypeStart(Integer memberTypeStart){
        this.memberTypeStart = memberTypeStart;
        return this;
    }

    /**
     * 设置 结束 成员类型(1.普通人员,2.工作人员)
     * @param memberTypeEnd
     */
    public RoomMemberQuery memberTypeEnd(Integer memberTypeEnd){
        this.memberTypeEnd = memberTypeEnd;
        return this;
    }

    /**
     * 设置 增加 成员类型(1.普通人员,2.工作人员)
     * @param memberTypeIncrement
     */
    public RoomMemberQuery memberTypeIncrement(Integer memberTypeIncrement){
        this.memberTypeIncrement = memberTypeIncrement;
        return this;
    }

    /**
     * 设置 成员类型(1.普通人员,2.工作人员)
     * @param memberTypeList
     */
    public RoomMemberQuery memberTypeList(List<Integer> memberTypeList){
        this.memberTypeList = memberTypeList;
        return this;
    }

    /**
     * 设置 成员类型(1.普通人员,2.工作人员)
     * @param memberTypeNotList
     */
    public RoomMemberQuery memberTypeNotList(List<Integer> memberTypeNotList){
        this.memberTypeNotList = memberTypeNotList;
        return this;
    }

    /**
     * 设置  是否启用音频(0.否，1.是)
     * @param audioEnabled
     */
    public RoomMemberQuery audioEnabled(Integer audioEnabled){
        setAudioEnabled(audioEnabled);
        return this;
    }

    /**
     * 设置 开始 是否启用音频(0.否，1.是)
     * @param audioEnabledStart
     */
    public RoomMemberQuery audioEnabledStart(Integer audioEnabledStart){
        this.audioEnabledStart = audioEnabledStart;
        return this;
    }

    /**
     * 设置 结束 是否启用音频(0.否，1.是)
     * @param audioEnabledEnd
     */
    public RoomMemberQuery audioEnabledEnd(Integer audioEnabledEnd){
        this.audioEnabledEnd = audioEnabledEnd;
        return this;
    }

    /**
     * 设置 增加 是否启用音频(0.否，1.是)
     * @param audioEnabledIncrement
     */
    public RoomMemberQuery audioEnabledIncrement(Integer audioEnabledIncrement){
        this.audioEnabledIncrement = audioEnabledIncrement;
        return this;
    }

    /**
     * 设置 是否启用音频(0.否，1.是)
     * @param audioEnabledList
     */
    public RoomMemberQuery audioEnabledList(List<Integer> audioEnabledList){
        this.audioEnabledList = audioEnabledList;
        return this;
    }

    /**
     * 设置 是否启用音频(0.否，1.是)
     * @param audioEnabledNotList
     */
    public RoomMemberQuery audioEnabledNotList(List<Integer> audioEnabledNotList){
        this.audioEnabledNotList = audioEnabledNotList;
        return this;
    }

    /**
     * 设置  是否启用视频(0.否，1.是)
     * @param videoEnabled
     */
    public RoomMemberQuery videoEnabled(Integer videoEnabled){
        setVideoEnabled(videoEnabled);
        return this;
    }

    /**
     * 设置 开始 是否启用视频(0.否，1.是)
     * @param videoEnabledStart
     */
    public RoomMemberQuery videoEnabledStart(Integer videoEnabledStart){
        this.videoEnabledStart = videoEnabledStart;
        return this;
    }

    /**
     * 设置 结束 是否启用视频(0.否，1.是)
     * @param videoEnabledEnd
     */
    public RoomMemberQuery videoEnabledEnd(Integer videoEnabledEnd){
        this.videoEnabledEnd = videoEnabledEnd;
        return this;
    }

    /**
     * 设置 增加 是否启用视频(0.否，1.是)
     * @param videoEnabledIncrement
     */
    public RoomMemberQuery videoEnabledIncrement(Integer videoEnabledIncrement){
        this.videoEnabledIncrement = videoEnabledIncrement;
        return this;
    }

    /**
     * 设置 是否启用视频(0.否，1.是)
     * @param videoEnabledList
     */
    public RoomMemberQuery videoEnabledList(List<Integer> videoEnabledList){
        this.videoEnabledList = videoEnabledList;
        return this;
    }

    /**
     * 设置 是否启用视频(0.否，1.是)
     * @param videoEnabledNotList
     */
    public RoomMemberQuery videoEnabledNotList(List<Integer> videoEnabledNotList){
        this.videoEnabledNotList = videoEnabledNotList;
        return this;
    }


    /**
     * 设置 备注
     * @param remark
     */
    public RoomMemberQuery remark(String remark){
        setRemark(remark);
        return this;
    }

    /**
     * 设置 备注
     * @param remarkList
     */
    public RoomMemberQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
        return this;
    }

    /**
     * 设置  创建用户
     * @param createUserId
     */
    public RoomMemberQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public RoomMemberQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public RoomMemberQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public RoomMemberQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public RoomMemberQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdNotList
     */
    public RoomMemberQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }



    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<RoomMemberQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<RoomMemberQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<RoomMemberQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<RoomMemberQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}