package com.mortals.xhx.module.room.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.room.model.vo.RoomMessageVo;
import lombok.Data;
/**
* 房间成员实体对象
*
* @author zxfei
* @date 2024-12-17
*/
@Data
public class RoomMessageEntity extends RoomMessageVo {
    private static final long serialVersionUID = 1L;

    /**
    * 房间ID
    */
    private Long roomId;
    /**
    * 发送者用户ID
    */
    private Long senderId;
    /**
    * 消息类型，可以支持多种类型的消息，例如文字、图片、文件等(text.文本，audio.音频，video.视频，image.图片，file.文件)
    */
    private String messageType;
    /**
    * 消息内容，存储实际的消息内容，可以是文本、图片路径、文件地址等
    */
    private String content;
    /**
    * 消息发送时间
    */
    private Date sendTime;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof RoomMessageEntity) {
            RoomMessageEntity tmp = (RoomMessageEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.roomId = null;
            this.senderId = null;
            this.messageType = "text";
            this.content = "";
            this.sendTime = null;
    }
}