package com.mortals.xhx.module.room.model;

import java.util.List;
import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.room.model.RoomEntity;
/**
* 房间查询对象
*
* @author zxfei
* @date 2024-12-17
*/
public class RoomQuery extends RoomEntity {
    /** 开始 id */
    private Long idStart;

    /** 结束 id */
    private Long idEnd;

    /** 增加 id */
    private Long idIncrement;

    /** id列表 */
    private List <Long> idList;

    /** id排除列表 */
    private List <Long> idNotList;

    /** 房间名称 */
    private List<String> roomNameList;

    /** 房间名称排除列表 */
    private List <String> roomNameNotList;
    /** 开始 房间类型(1.单人房间，2.多人房间) */
    private Integer roomTypeStart;

    /** 结束 房间类型(1.单人房间，2.多人房间) */
    private Integer roomTypeEnd;

    /** 增加 房间类型(1.单人房间，2.多人房间) */
    private Integer roomTypeIncrement;

    /** 房间类型(1.单人房间，2.多人房间)列表 */
    private List <Integer> roomTypeList;

    /** 房间类型(1.单人房间，2.多人房间)排除列表 */
    private List <Integer> roomTypeNotList;

    /** 第三方平台的房间唯一标识 */
    private List<String> thirdPartyRoomIdList;

    /** 第三方平台的房间唯一标识排除列表 */
    private List <String> thirdPartyRoomIdNotList;
    /** 第三方平台类型(tencent.腾讯云,aliyun.阿里云,other.其它) */
    private List<String> thirdPartyPlatformList;

    /** 第三方平台类型(tencent.腾讯云,aliyun.阿里云,other.其它)排除列表 */
    private List <String> thirdPartyPlatformNotList;
    /** 第三方平台的额外配置 */
    private List<String> thirdPartyConfigList;

    /** 第三方平台的额外配置排除列表 */
    private List <String> thirdPartyConfigNotList;
    /** 开始 房间开始时间,如直播、会议等 */
    private String startTimeStart;

    /** 结束 房间开始时间,如直播、会议等 */
    private String startTimeEnd;

    /** 开始 房间结束时间 */
    private String endTimeStart;

    /** 结束 房间结束时间 */
    private String endTimeEnd;

    /** 开始 是否被锁定，避免新用户加入(0.否，1.是) */
    private Integer lockedStart;

    /** 结束 是否被锁定，避免新用户加入(0.否，1.是) */
    private Integer lockedEnd;

    /** 增加 是否被锁定，避免新用户加入(0.否，1.是) */
    private Integer lockedIncrement;

    /** 是否被锁定，避免新用户加入(0.否，1.是)列表 */
    private List <Integer> lockedList;

    /** 是否被锁定，避免新用户加入(0.否，1.是)排除列表 */
    private List <Integer> lockedNotList;

    /** 房间状态 (active.激活，inactive.非激活，closed.关闭) */
    private List<String> roomStatusList;

    /** 房间状态 (active.激活，inactive.非激活，closed.关闭)排除列表 */
    private List <String> roomStatusNotList;
    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<RoomQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<RoomQuery> andConditionList;

    public RoomQuery(){}

    /**
    * 获取 开始 id
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 id
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 id
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 id
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 id
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 id
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 id
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 id
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 id
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 id
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 房间名称
    * @return roomNameList
    */
    public List<String> getRoomNameList(){
        return this.roomNameList;
    }

    /**
    * 设置 房间名称
    * @param roomNameList
    */
    public void setRoomNameList(List<String> roomNameList){
        this.roomNameList = roomNameList;
    }

    /**
    * 获取 房间名称
    * @return roomNameNotList
    */
    public List<String> getRoomNameNotList(){
        return this.roomNameNotList;
    }

    /**
    * 设置 房间名称
    * @param roomNameNotList
    */
    public void setRoomNameNotList(List<String> roomNameNotList){
        this.roomNameNotList = roomNameNotList;
    }

    /**
    * 获取 开始 房间类型(1.单人房间，2.多人房间)
    * @return roomTypeStart
    */
    public Integer getRoomTypeStart(){
        return this.roomTypeStart;
    }

    /**
    * 设置 开始 房间类型(1.单人房间，2.多人房间)
    * @param roomTypeStart
    */
    public void setRoomTypeStart(Integer roomTypeStart){
        this.roomTypeStart = roomTypeStart;
    }

    /**
    * 获取 结束 房间类型(1.单人房间，2.多人房间)
    * @return $roomTypeEnd
    */
    public Integer getRoomTypeEnd(){
        return this.roomTypeEnd;
    }

    /**
    * 设置 结束 房间类型(1.单人房间，2.多人房间)
    * @param roomTypeEnd
    */
    public void setRoomTypeEnd(Integer roomTypeEnd){
        this.roomTypeEnd = roomTypeEnd;
    }

    /**
    * 获取 增加 房间类型(1.单人房间，2.多人房间)
    * @return roomTypeIncrement
    */
    public Integer getRoomTypeIncrement(){
        return this.roomTypeIncrement;
    }

    /**
    * 设置 增加 房间类型(1.单人房间，2.多人房间)
    * @param roomTypeIncrement
    */
    public void setRoomTypeIncrement(Integer roomTypeIncrement){
        this.roomTypeIncrement = roomTypeIncrement;
    }

    /**
    * 获取 房间类型(1.单人房间，2.多人房间)
    * @return roomTypeList
    */
    public List<Integer> getRoomTypeList(){
        return this.roomTypeList;
    }

    /**
    * 设置 房间类型(1.单人房间，2.多人房间)
    * @param roomTypeList
    */
    public void setRoomTypeList(List<Integer> roomTypeList){
        this.roomTypeList = roomTypeList;
    }

    /**
    * 获取 房间类型(1.单人房间，2.多人房间)
    * @return roomTypeNotList
    */
    public List<Integer> getRoomTypeNotList(){
        return this.roomTypeNotList;
    }

    /**
    * 设置 房间类型(1.单人房间，2.多人房间)
    * @param roomTypeNotList
    */
    public void setRoomTypeNotList(List<Integer> roomTypeNotList){
        this.roomTypeNotList = roomTypeNotList;
    }


    /**
    * 获取 第三方平台的房间唯一标识
    * @return thirdPartyRoomIdList
    */
    public List<String> getThirdPartyRoomIdList(){
        return this.thirdPartyRoomIdList;
    }

    /**
    * 设置 第三方平台的房间唯一标识
    * @param thirdPartyRoomIdList
    */
    public void setThirdPartyRoomIdList(List<String> thirdPartyRoomIdList){
        this.thirdPartyRoomIdList = thirdPartyRoomIdList;
    }

    /**
    * 获取 第三方平台的房间唯一标识
    * @return thirdPartyRoomIdNotList
    */
    public List<String> getThirdPartyRoomIdNotList(){
        return this.thirdPartyRoomIdNotList;
    }

    /**
    * 设置 第三方平台的房间唯一标识
    * @param thirdPartyRoomIdNotList
    */
    public void setThirdPartyRoomIdNotList(List<String> thirdPartyRoomIdNotList){
        this.thirdPartyRoomIdNotList = thirdPartyRoomIdNotList;
    }

    /**
    * 获取 第三方平台类型(tencent.腾讯云,aliyun.阿里云,other.其它)
    * @return thirdPartyPlatformList
    */
    public List<String> getThirdPartyPlatformList(){
        return this.thirdPartyPlatformList;
    }

    /**
    * 设置 第三方平台类型(tencent.腾讯云,aliyun.阿里云,other.其它)
    * @param thirdPartyPlatformList
    */
    public void setThirdPartyPlatformList(List<String> thirdPartyPlatformList){
        this.thirdPartyPlatformList = thirdPartyPlatformList;
    }

    /**
    * 获取 第三方平台类型(tencent.腾讯云,aliyun.阿里云,other.其它)
    * @return thirdPartyPlatformNotList
    */
    public List<String> getThirdPartyPlatformNotList(){
        return this.thirdPartyPlatformNotList;
    }

    /**
    * 设置 第三方平台类型(tencent.腾讯云,aliyun.阿里云,other.其它)
    * @param thirdPartyPlatformNotList
    */
    public void setThirdPartyPlatformNotList(List<String> thirdPartyPlatformNotList){
        this.thirdPartyPlatformNotList = thirdPartyPlatformNotList;
    }

    /**
    * 获取 第三方平台的额外配置
    * @return thirdPartyConfigList
    */
    public List<String> getThirdPartyConfigList(){
        return this.thirdPartyConfigList;
    }

    /**
    * 设置 第三方平台的额外配置
    * @param thirdPartyConfigList
    */
    public void setThirdPartyConfigList(List<String> thirdPartyConfigList){
        this.thirdPartyConfigList = thirdPartyConfigList;
    }

    /**
    * 获取 第三方平台的额外配置
    * @return thirdPartyConfigNotList
    */
    public List<String> getThirdPartyConfigNotList(){
        return this.thirdPartyConfigNotList;
    }

    /**
    * 设置 第三方平台的额外配置
    * @param thirdPartyConfigNotList
    */
    public void setThirdPartyConfigNotList(List<String> thirdPartyConfigNotList){
        this.thirdPartyConfigNotList = thirdPartyConfigNotList;
    }

    /**
    * 获取 开始 房间开始时间,如直播、会议等
    * @return startTimeStart
    */
    public String getStartTimeStart(){
        return this.startTimeStart;
    }

    /**
    * 设置 开始 房间开始时间,如直播、会议等
    * @param startTimeStart
    */
    public void setStartTimeStart(String startTimeStart){
        this.startTimeStart = startTimeStart;
    }

    /**
    * 获取 结束 房间开始时间,如直播、会议等
    * @return startTimeEnd
    */
    public String getStartTimeEnd(){
        return this.startTimeEnd;
    }

    /**
    * 设置 结束 房间开始时间,如直播、会议等
    * @param startTimeEnd
    */
    public void setStartTimeEnd(String startTimeEnd){
        this.startTimeEnd = startTimeEnd;
    }

    /**
    * 获取 开始 房间结束时间
    * @return endTimeStart
    */
    public String getEndTimeStart(){
        return this.endTimeStart;
    }

    /**
    * 设置 开始 房间结束时间
    * @param endTimeStart
    */
    public void setEndTimeStart(String endTimeStart){
        this.endTimeStart = endTimeStart;
    }

    /**
    * 获取 结束 房间结束时间
    * @return endTimeEnd
    */
    public String getEndTimeEnd(){
        return this.endTimeEnd;
    }

    /**
    * 设置 结束 房间结束时间
    * @param endTimeEnd
    */
    public void setEndTimeEnd(String endTimeEnd){
        this.endTimeEnd = endTimeEnd;
    }

    /**
    * 获取 开始 是否被锁定，避免新用户加入(0.否，1.是)
    * @return lockedStart
    */
    public Integer getLockedStart(){
        return this.lockedStart;
    }

    /**
    * 设置 开始 是否被锁定，避免新用户加入(0.否，1.是)
    * @param lockedStart
    */
    public void setLockedStart(Integer lockedStart){
        this.lockedStart = lockedStart;
    }

    /**
    * 获取 结束 是否被锁定，避免新用户加入(0.否，1.是)
    * @return $lockedEnd
    */
    public Integer getLockedEnd(){
        return this.lockedEnd;
    }

    /**
    * 设置 结束 是否被锁定，避免新用户加入(0.否，1.是)
    * @param lockedEnd
    */
    public void setLockedEnd(Integer lockedEnd){
        this.lockedEnd = lockedEnd;
    }

    /**
    * 获取 增加 是否被锁定，避免新用户加入(0.否，1.是)
    * @return lockedIncrement
    */
    public Integer getLockedIncrement(){
        return this.lockedIncrement;
    }

    /**
    * 设置 增加 是否被锁定，避免新用户加入(0.否，1.是)
    * @param lockedIncrement
    */
    public void setLockedIncrement(Integer lockedIncrement){
        this.lockedIncrement = lockedIncrement;
    }

    /**
    * 获取 是否被锁定，避免新用户加入(0.否，1.是)
    * @return lockedList
    */
    public List<Integer> getLockedList(){
        return this.lockedList;
    }

    /**
    * 设置 是否被锁定，避免新用户加入(0.否，1.是)
    * @param lockedList
    */
    public void setLockedList(List<Integer> lockedList){
        this.lockedList = lockedList;
    }

    /**
    * 获取 是否被锁定，避免新用户加入(0.否，1.是)
    * @return lockedNotList
    */
    public List<Integer> getLockedNotList(){
        return this.lockedNotList;
    }

    /**
    * 设置 是否被锁定，避免新用户加入(0.否，1.是)
    * @param lockedNotList
    */
    public void setLockedNotList(List<Integer> lockedNotList){
        this.lockedNotList = lockedNotList;
    }


    /**
    * 获取 房间状态 (active.激活，inactive.非激活，closed.关闭)
    * @return roomStatusList
    */
    public List<String> getRoomStatusList(){
        return this.roomStatusList;
    }

    /**
    * 设置 房间状态 (active.激活，inactive.非激活，closed.关闭)
    * @param roomStatusList
    */
    public void setRoomStatusList(List<String> roomStatusList){
        this.roomStatusList = roomStatusList;
    }

    /**
    * 获取 房间状态 (active.激活，inactive.非激活，closed.关闭)
    * @return roomStatusNotList
    */
    public List<String> getRoomStatusNotList(){
        return this.roomStatusNotList;
    }

    /**
    * 设置 房间状态 (active.激活，inactive.非激活，closed.关闭)
    * @param roomStatusNotList
    */
    public void setRoomStatusNotList(List<String> roomStatusNotList){
        this.roomStatusNotList = roomStatusNotList;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  id
    * @param id
    */
    public RoomQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 id
    * @param idStart
    */
    public RoomQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 id
    * @param idEnd
    */
    public RoomQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 id
    * @param idIncrement
    */
    public RoomQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 id
    * @param idList
    */
    public RoomQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 id
        * @param idNotList
        */
        public RoomQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 房间名称
    * @param roomName
    */
    public RoomQuery roomName(String roomName){
        setRoomName(roomName);
		return this;
    }

    /**
    * 设置 房间名称
    * @param roomNameList
    */
    public RoomQuery roomNameList(List<String> roomNameList){
        this.roomNameList = roomNameList;
		return this;
    }

    /**
    * 设置  房间类型(1.单人房间，2.多人房间)
    * @param roomType
    */
    public RoomQuery roomType(Integer roomType){
	    setRoomType(roomType);
		return this;
    }
	
	 /**
    * 设置 开始 房间类型(1.单人房间，2.多人房间)
    * @param roomTypeStart
    */
    public RoomQuery roomTypeStart(Integer roomTypeStart){
		this.roomTypeStart = roomTypeStart;
		return this;
    }

    /**
    * 设置 结束 房间类型(1.单人房间，2.多人房间)
    * @param roomTypeEnd
    */
    public RoomQuery roomTypeEnd(Integer roomTypeEnd){
		this.roomTypeEnd = roomTypeEnd;
		return this;
    }

    /**
    * 设置 增加 房间类型(1.单人房间，2.多人房间)
    * @param roomTypeIncrement
    */
    public RoomQuery roomTypeIncrement(Integer roomTypeIncrement){
		this.roomTypeIncrement = roomTypeIncrement;
		return this;
    }

    /**
    * 设置 房间类型(1.单人房间，2.多人房间)
    * @param roomTypeList
    */
    public RoomQuery roomTypeList(List<Integer> roomTypeList){
        this.roomTypeList = roomTypeList;
		return this;
        }

        /**
        * 设置 房间类型(1.单人房间，2.多人房间)
        * @param roomTypeNotList
        */
        public RoomQuery roomTypeNotList(List<Integer> roomTypeNotList){
        this.roomTypeNotList = roomTypeNotList;
        return this;
        }


	/**
    * 设置 第三方平台的房间唯一标识
    * @param thirdPartyRoomId
    */
    public RoomQuery thirdPartyRoomId(String thirdPartyRoomId){
        setThirdPartyRoomId(thirdPartyRoomId);
		return this;
    }

    /**
    * 设置 第三方平台的房间唯一标识
    * @param thirdPartyRoomIdList
    */
    public RoomQuery thirdPartyRoomIdList(List<String> thirdPartyRoomIdList){
        this.thirdPartyRoomIdList = thirdPartyRoomIdList;
		return this;
    }


	/**
    * 设置 第三方平台类型(tencent.腾讯云,aliyun.阿里云,other.其它)
    * @param thirdPartyPlatform
    */
    public RoomQuery thirdPartyPlatform(String thirdPartyPlatform){
        setThirdPartyPlatform(thirdPartyPlatform);
		return this;
    }

    /**
    * 设置 第三方平台类型(tencent.腾讯云,aliyun.阿里云,other.其它)
    * @param thirdPartyPlatformList
    */
    public RoomQuery thirdPartyPlatformList(List<String> thirdPartyPlatformList){
        this.thirdPartyPlatformList = thirdPartyPlatformList;
		return this;
    }


	/**
    * 设置 第三方平台的额外配置
    * @param thirdPartyConfig
    */
    public RoomQuery thirdPartyConfig(String thirdPartyConfig){
        setThirdPartyConfig(thirdPartyConfig);
		return this;
    }

    /**
    * 设置 第三方平台的额外配置
    * @param thirdPartyConfigList
    */
    public RoomQuery thirdPartyConfigList(List<String> thirdPartyConfigList){
        this.thirdPartyConfigList = thirdPartyConfigList;
		return this;
    }



    /**
    * 设置  是否被锁定，避免新用户加入(0.否，1.是)
    * @param locked
    */
    public RoomQuery locked(Integer locked){
	    setLocked(locked);
		return this;
    }
	
	 /**
    * 设置 开始 是否被锁定，避免新用户加入(0.否，1.是)
    * @param lockedStart
    */
    public RoomQuery lockedStart(Integer lockedStart){
		this.lockedStart = lockedStart;
		return this;
    }

    /**
    * 设置 结束 是否被锁定，避免新用户加入(0.否，1.是)
    * @param lockedEnd
    */
    public RoomQuery lockedEnd(Integer lockedEnd){
		this.lockedEnd = lockedEnd;
		return this;
    }

    /**
    * 设置 增加 是否被锁定，避免新用户加入(0.否，1.是)
    * @param lockedIncrement
    */
    public RoomQuery lockedIncrement(Integer lockedIncrement){
		this.lockedIncrement = lockedIncrement;
		return this;
    }

    /**
    * 设置 是否被锁定，避免新用户加入(0.否，1.是)
    * @param lockedList
    */
    public RoomQuery lockedList(List<Integer> lockedList){
        this.lockedList = lockedList;
		return this;
        }

        /**
        * 设置 是否被锁定，避免新用户加入(0.否，1.是)
        * @param lockedNotList
        */
        public RoomQuery lockedNotList(List<Integer> lockedNotList){
        this.lockedNotList = lockedNotList;
        return this;
        }


	/**
    * 设置 房间状态 (active.激活，inactive.非激活，closed.关闭)
    * @param roomStatus
    */
    public RoomQuery roomStatus(String roomStatus){
        setRoomStatus(roomStatus);
		return this;
    }

    /**
    * 设置 房间状态 (active.激活，inactive.非激活，closed.关闭)
    * @param roomStatusList
    */
    public RoomQuery roomStatusList(List<String> roomStatusList){
        this.roomStatusList = roomStatusList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public RoomQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public RoomQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public RoomQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public RoomQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public RoomQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public RoomQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<RoomQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<RoomQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<RoomQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<RoomQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}