package com.mortals.xhx.module.room.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.room.model.vo.RoomVideoStreamVo;
import lombok.Data;
/**
* 音视频流映射实体对象
*
* @author zxfei
* @date 2024-12-17
*/
@Data
public class RoomVideoStreamEntity extends RoomVideoStreamVo {
    private static final long serialVersionUID = 1L;

    /**
    * 房间ID
    */
    private Long roomId;
    /**
    * 流ID，视频流的唯一标识符，腾讯云等平台会分配一个流 ID
    */
    private String streamId;
    /**
    * 流的URL,云分配的流地址，客户端需要通过此地址来接入流
    */
    private String streamUrl;
    /**
    * 流类型：主流、屏幕共享(main.主流，screen_share.屏幕共享)
    */
    private String streamType;
    /**
    * 流的状态：活跃或非活跃(0.active，1.inactive)
    */
    private Integer status;
    /**
    * 流的结束时间
    */
    private Date endTime;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof RoomVideoStreamEntity) {
            RoomVideoStreamEntity tmp = (RoomVideoStreamEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.roomId = null;
            this.streamId = "";
            this.streamUrl = "";
            this.streamType = "main";
            this.status = 1;
            this.endTime = null;
    }
}