package com.mortals.xhx.module.room.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.room.model.RoomVideoStreamEntity;
/**
* 音视频流映射查询对象
*
* @author zxfei
* @date 2024-12-17
*/
public class RoomVideoStreamQuery extends RoomVideoStreamEntity {
    /** 开始 种类详情id */
    private Long idStart;

    /** 结束 种类详情id */
    private Long idEnd;

    /** 增加 种类详情id */
    private Long idIncrement;

    /** 种类详情id列表 */
    private List <Long> idList;

    /** 种类详情id排除列表 */
    private List <Long> idNotList;

    /** 开始 房间ID */
    private Long roomIdStart;

    /** 结束 房间ID */
    private Long roomIdEnd;

    /** 增加 房间ID */
    private Long roomIdIncrement;

    /** 房间ID列表 */
    private List <Long> roomIdList;

    /** 房间ID排除列表 */
    private List <Long> roomIdNotList;

    /** 流ID，视频流的唯一标识符，腾讯云等平台会分配一个流 ID */
    private List<String> streamIdList;

    /** 流ID，视频流的唯一标识符，腾讯云等平台会分配一个流 ID排除列表 */
    private List <String> streamIdNotList;
    /** 流的URL,云分配的流地址，客户端需要通过此地址来接入流 */
    private List<String> streamUrlList;

    /** 流的URL,云分配的流地址，客户端需要通过此地址来接入流排除列表 */
    private List <String> streamUrlNotList;
    /** 流类型：主流、屏幕共享(main.主流，screen_share.屏幕共享) */
    private List<String> streamTypeList;

    /** 流类型：主流、屏幕共享(main.主流，screen_share.屏幕共享)排除列表 */
    private List <String> streamTypeNotList;
    /** 开始 流的状态：活跃或非活跃(0.active，1.inactive) */
    private Integer statusStart;

    /** 结束 流的状态：活跃或非活跃(0.active，1.inactive) */
    private Integer statusEnd;

    /** 增加 流的状态：活跃或非活跃(0.active，1.inactive) */
    private Integer statusIncrement;

    /** 流的状态：活跃或非活跃(0.active，1.inactive)列表 */
    private List <Integer> statusList;

    /** 流的状态：活跃或非活跃(0.active，1.inactive)排除列表 */
    private List <Integer> statusNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 流的结束时间 */
    private String endTimeStart;

    /** 结束 流的结束时间 */
    private String endTimeEnd;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<RoomVideoStreamQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<RoomVideoStreamQuery> andConditionList;

    public RoomVideoStreamQuery(){}

    /**
    * 获取 开始 种类详情id
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 种类详情id
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 种类详情id
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 种类详情id
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 种类详情id
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 种类详情id
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 种类详情id
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 种类详情id
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 种类详情id
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 种类详情id
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 房间ID
    * @return roomIdStart
    */
    public Long getRoomIdStart(){
        return this.roomIdStart;
    }

    /**
    * 设置 开始 房间ID
    * @param roomIdStart
    */
    public void setRoomIdStart(Long roomIdStart){
        this.roomIdStart = roomIdStart;
    }

    /**
    * 获取 结束 房间ID
    * @return $roomIdEnd
    */
    public Long getRoomIdEnd(){
        return this.roomIdEnd;
    }

    /**
    * 设置 结束 房间ID
    * @param roomIdEnd
    */
    public void setRoomIdEnd(Long roomIdEnd){
        this.roomIdEnd = roomIdEnd;
    }

    /**
    * 获取 增加 房间ID
    * @return roomIdIncrement
    */
    public Long getRoomIdIncrement(){
        return this.roomIdIncrement;
    }

    /**
    * 设置 增加 房间ID
    * @param roomIdIncrement
    */
    public void setRoomIdIncrement(Long roomIdIncrement){
        this.roomIdIncrement = roomIdIncrement;
    }

    /**
    * 获取 房间ID
    * @return roomIdList
    */
    public List<Long> getRoomIdList(){
        return this.roomIdList;
    }

    /**
    * 设置 房间ID
    * @param roomIdList
    */
    public void setRoomIdList(List<Long> roomIdList){
        this.roomIdList = roomIdList;
    }

    /**
    * 获取 房间ID
    * @return roomIdNotList
    */
    public List<Long> getRoomIdNotList(){
        return this.roomIdNotList;
    }

    /**
    * 设置 房间ID
    * @param roomIdNotList
    */
    public void setRoomIdNotList(List<Long> roomIdNotList){
        this.roomIdNotList = roomIdNotList;
    }


    /**
    * 获取 流ID，视频流的唯一标识符，腾讯云等平台会分配一个流 ID
    * @return streamIdList
    */
    public List<String> getStreamIdList(){
        return this.streamIdList;
    }

    /**
    * 设置 流ID，视频流的唯一标识符，腾讯云等平台会分配一个流 ID
    * @param streamIdList
    */
    public void setStreamIdList(List<String> streamIdList){
        this.streamIdList = streamIdList;
    }

    /**
    * 获取 流ID，视频流的唯一标识符，腾讯云等平台会分配一个流 ID
    * @return streamIdNotList
    */
    public List<String> getStreamIdNotList(){
        return this.streamIdNotList;
    }

    /**
    * 设置 流ID，视频流的唯一标识符，腾讯云等平台会分配一个流 ID
    * @param streamIdNotList
    */
    public void setStreamIdNotList(List<String> streamIdNotList){
        this.streamIdNotList = streamIdNotList;
    }

    /**
    * 获取 流的URL,云分配的流地址，客户端需要通过此地址来接入流
    * @return streamUrlList
    */
    public List<String> getStreamUrlList(){
        return this.streamUrlList;
    }

    /**
    * 设置 流的URL,云分配的流地址，客户端需要通过此地址来接入流
    * @param streamUrlList
    */
    public void setStreamUrlList(List<String> streamUrlList){
        this.streamUrlList = streamUrlList;
    }

    /**
    * 获取 流的URL,云分配的流地址，客户端需要通过此地址来接入流
    * @return streamUrlNotList
    */
    public List<String> getStreamUrlNotList(){
        return this.streamUrlNotList;
    }

    /**
    * 设置 流的URL,云分配的流地址，客户端需要通过此地址来接入流
    * @param streamUrlNotList
    */
    public void setStreamUrlNotList(List<String> streamUrlNotList){
        this.streamUrlNotList = streamUrlNotList;
    }

    /**
    * 获取 流类型：主流、屏幕共享(main.主流，screen_share.屏幕共享)
    * @return streamTypeList
    */
    public List<String> getStreamTypeList(){
        return this.streamTypeList;
    }

    /**
    * 设置 流类型：主流、屏幕共享(main.主流，screen_share.屏幕共享)
    * @param streamTypeList
    */
    public void setStreamTypeList(List<String> streamTypeList){
        this.streamTypeList = streamTypeList;
    }

    /**
    * 获取 流类型：主流、屏幕共享(main.主流，screen_share.屏幕共享)
    * @return streamTypeNotList
    */
    public List<String> getStreamTypeNotList(){
        return this.streamTypeNotList;
    }

    /**
    * 设置 流类型：主流、屏幕共享(main.主流，screen_share.屏幕共享)
    * @param streamTypeNotList
    */
    public void setStreamTypeNotList(List<String> streamTypeNotList){
        this.streamTypeNotList = streamTypeNotList;
    }

    /**
    * 获取 开始 流的状态：活跃或非活跃(0.active，1.inactive)
    * @return statusStart
    */
    public Integer getStatusStart(){
        return this.statusStart;
    }

    /**
    * 设置 开始 流的状态：活跃或非活跃(0.active，1.inactive)
    * @param statusStart
    */
    public void setStatusStart(Integer statusStart){
        this.statusStart = statusStart;
    }

    /**
    * 获取 结束 流的状态：活跃或非活跃(0.active，1.inactive)
    * @return $statusEnd
    */
    public Integer getStatusEnd(){
        return this.statusEnd;
    }

    /**
    * 设置 结束 流的状态：活跃或非活跃(0.active，1.inactive)
    * @param statusEnd
    */
    public void setStatusEnd(Integer statusEnd){
        this.statusEnd = statusEnd;
    }

    /**
    * 获取 增加 流的状态：活跃或非活跃(0.active，1.inactive)
    * @return statusIncrement
    */
    public Integer getStatusIncrement(){
        return this.statusIncrement;
    }

    /**
    * 设置 增加 流的状态：活跃或非活跃(0.active，1.inactive)
    * @param statusIncrement
    */
    public void setStatusIncrement(Integer statusIncrement){
        this.statusIncrement = statusIncrement;
    }

    /**
    * 获取 流的状态：活跃或非活跃(0.active，1.inactive)
    * @return statusList
    */
    public List<Integer> getStatusList(){
        return this.statusList;
    }

    /**
    * 设置 流的状态：活跃或非活跃(0.active，1.inactive)
    * @param statusList
    */
    public void setStatusList(List<Integer> statusList){
        this.statusList = statusList;
    }

    /**
    * 获取 流的状态：活跃或非活跃(0.active，1.inactive)
    * @return statusNotList
    */
    public List<Integer> getStatusNotList(){
        return this.statusNotList;
    }

    /**
    * 设置 流的状态：活跃或非活跃(0.active，1.inactive)
    * @param statusNotList
    */
    public void setStatusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
    }


    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 流的结束时间
    * @return endTimeStart
    */
    public String getEndTimeStart(){
        return this.endTimeStart;
    }

    /**
    * 设置 开始 流的结束时间
    * @param endTimeStart
    */
    public void setEndTimeStart(String endTimeStart){
        this.endTimeStart = endTimeStart;
    }

    /**
    * 获取 结束 流的结束时间
    * @return endTimeEnd
    */
    public String getEndTimeEnd(){
        return this.endTimeEnd;
    }

    /**
    * 设置 结束 流的结束时间
    * @param endTimeEnd
    */
    public void setEndTimeEnd(String endTimeEnd){
        this.endTimeEnd = endTimeEnd;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  种类详情id
    * @param id
    */
    public RoomVideoStreamQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 种类详情id
    * @param idStart
    */
    public RoomVideoStreamQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 种类详情id
    * @param idEnd
    */
    public RoomVideoStreamQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 种类详情id
    * @param idIncrement
    */
    public RoomVideoStreamQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 种类详情id
    * @param idList
    */
    public RoomVideoStreamQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 种类详情id
        * @param idNotList
        */
        public RoomVideoStreamQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  房间ID
    * @param roomId
    */
    public RoomVideoStreamQuery roomId(Long roomId){
	    setRoomId(roomId);
		return this;
    }
	
	 /**
    * 设置 开始 房间ID
    * @param roomIdStart
    */
    public RoomVideoStreamQuery roomIdStart(Long roomIdStart){
		this.roomIdStart = roomIdStart;
		return this;
    }

    /**
    * 设置 结束 房间ID
    * @param roomIdEnd
    */
    public RoomVideoStreamQuery roomIdEnd(Long roomIdEnd){
		this.roomIdEnd = roomIdEnd;
		return this;
    }

    /**
    * 设置 增加 房间ID
    * @param roomIdIncrement
    */
    public RoomVideoStreamQuery roomIdIncrement(Long roomIdIncrement){
		this.roomIdIncrement = roomIdIncrement;
		return this;
    }

    /**
    * 设置 房间ID
    * @param roomIdList
    */
    public RoomVideoStreamQuery roomIdList(List<Long> roomIdList){
        this.roomIdList = roomIdList;
		return this;
        }

        /**
        * 设置 房间ID
        * @param roomIdNotList
        */
        public RoomVideoStreamQuery roomIdNotList(List<Long> roomIdNotList){
        this.roomIdNotList = roomIdNotList;
        return this;
        }


	/**
    * 设置 流ID，视频流的唯一标识符，腾讯云等平台会分配一个流 ID
    * @param streamId
    */
    public RoomVideoStreamQuery streamId(String streamId){
        setStreamId(streamId);
		return this;
    }

    /**
    * 设置 流ID，视频流的唯一标识符，腾讯云等平台会分配一个流 ID
    * @param streamIdList
    */
    public RoomVideoStreamQuery streamIdList(List<String> streamIdList){
        this.streamIdList = streamIdList;
		return this;
    }


	/**
    * 设置 流的URL,云分配的流地址，客户端需要通过此地址来接入流
    * @param streamUrl
    */
    public RoomVideoStreamQuery streamUrl(String streamUrl){
        setStreamUrl(streamUrl);
		return this;
    }

    /**
    * 设置 流的URL,云分配的流地址，客户端需要通过此地址来接入流
    * @param streamUrlList
    */
    public RoomVideoStreamQuery streamUrlList(List<String> streamUrlList){
        this.streamUrlList = streamUrlList;
		return this;
    }


	/**
    * 设置 流类型：主流、屏幕共享(main.主流，screen_share.屏幕共享)
    * @param streamType
    */
    public RoomVideoStreamQuery streamType(String streamType){
        setStreamType(streamType);
		return this;
    }

    /**
    * 设置 流类型：主流、屏幕共享(main.主流，screen_share.屏幕共享)
    * @param streamTypeList
    */
    public RoomVideoStreamQuery streamTypeList(List<String> streamTypeList){
        this.streamTypeList = streamTypeList;
		return this;
    }

    /**
    * 设置  流的状态：活跃或非活跃(0.active，1.inactive)
    * @param status
    */
    public RoomVideoStreamQuery status(Integer status){
	    setStatus(status);
		return this;
    }
	
	 /**
    * 设置 开始 流的状态：活跃或非活跃(0.active，1.inactive)
    * @param statusStart
    */
    public RoomVideoStreamQuery statusStart(Integer statusStart){
		this.statusStart = statusStart;
		return this;
    }

    /**
    * 设置 结束 流的状态：活跃或非活跃(0.active，1.inactive)
    * @param statusEnd
    */
    public RoomVideoStreamQuery statusEnd(Integer statusEnd){
		this.statusEnd = statusEnd;
		return this;
    }

    /**
    * 设置 增加 流的状态：活跃或非活跃(0.active，1.inactive)
    * @param statusIncrement
    */
    public RoomVideoStreamQuery statusIncrement(Integer statusIncrement){
		this.statusIncrement = statusIncrement;
		return this;
    }

    /**
    * 设置 流的状态：活跃或非活跃(0.active，1.inactive)
    * @param statusList
    */
    public RoomVideoStreamQuery statusList(List<Integer> statusList){
        this.statusList = statusList;
		return this;
        }

        /**
        * 设置 流的状态：活跃或非活跃(0.active，1.inactive)
        * @param statusNotList
        */
        public RoomVideoStreamQuery statusNotList(List<Integer> statusNotList){
        this.statusNotList = statusNotList;
        return this;
        }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public RoomVideoStreamQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public RoomVideoStreamQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public RoomVideoStreamQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public RoomVideoStreamQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public RoomVideoStreamQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public RoomVideoStreamQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }




    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<RoomVideoStreamQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<RoomVideoStreamQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<RoomVideoStreamQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<RoomVideoStreamQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}