package com.mortals.xhx.module.third.model;
import java.util.Date;
import java.util.List;
import java.util.ArrayList;
import java.math.BigDecimal;
import cn.hutool.core.date.DateUtil;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.third.model.vo.ThirdPartyLogsVo;
import lombok.Data;
/**
* 第三方交互日志实体对象
*
* @author zxfei
* @date 2024-12-17
*/
@Data
public class ThirdPartyLogsEntity extends ThirdPartyLogsVo {
    private static final long serialVersionUID = 1L;

    /**
    * 房间ID
    */
    private Long roomId;
    /**
    * 发送者用户ID
    */
    private Long senderId;
    /**
    * 第三方操作类型(create.创建，update.更新，delete.删除，sync.同步，other.其他)
    */
    private String thirdPartyAction;
    /**
    * 第三方API请求地址
    */
    private String requestPath;
    /**
    * 第三方API请求代码
    */
    private String requestMessage;
    /**
    * 第三方API响应代码
    */
    private String responseCode;
    /**
    * 第三方API返回的消息
    */
    private String responseMessage;
    /**
    * 消息发送时间
    */
    private Date sendTime;
    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof ThirdPartyLogsEntity) {
            ThirdPartyLogsEntity tmp = (ThirdPartyLogsEntity) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){
            this.roomId = null;
            this.senderId = null;
            this.thirdPartyAction = "create";
            this.requestPath = "";
            this.requestMessage = "";
            this.responseCode = "";
            this.responseMessage = "";
            this.sendTime = null;
    }
}