package com.mortals.xhx.module.third.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.third.model.ThirdPartyLogsEntity;
/**
* 第三方交互日志查询对象
*
* @author zxfei
* @date 2024-12-17
*/
public class ThirdPartyLogsQuery extends ThirdPartyLogsEntity {
    /** 开始 种类详情id */
    private Long idStart;

    /** 结束 种类详情id */
    private Long idEnd;

    /** 增加 种类详情id */
    private Long idIncrement;

    /** 种类详情id列表 */
    private List <Long> idList;

    /** 种类详情id排除列表 */
    private List <Long> idNotList;

    /** 开始 房间ID */
    private Long roomIdStart;

    /** 结束 房间ID */
    private Long roomIdEnd;

    /** 增加 房间ID */
    private Long roomIdIncrement;

    /** 房间ID列表 */
    private List <Long> roomIdList;

    /** 房间ID排除列表 */
    private List <Long> roomIdNotList;

    /** 开始 发送者用户ID */
    private Long senderIdStart;

    /** 结束 发送者用户ID */
    private Long senderIdEnd;

    /** 增加 发送者用户ID */
    private Long senderIdIncrement;

    /** 发送者用户ID列表 */
    private List <Long> senderIdList;

    /** 发送者用户ID排除列表 */
    private List <Long> senderIdNotList;

    /** 第三方操作类型(create.创建，update.更新，delete.删除，sync.同步，other.其他) */
    private List<String> thirdPartyActionList;

    /** 第三方操作类型(create.创建，update.更新，delete.删除，sync.同步，other.其他)排除列表 */
    private List <String> thirdPartyActionNotList;
    /** 第三方API请求地址 */
    private List<String> requestPathList;

    /** 第三方API请求地址排除列表 */
    private List <String> requestPathNotList;
    /** 第三方API请求代码 */
    private List<String> requestMessageList;

    /** 第三方API请求代码排除列表 */
    private List <String> requestMessageNotList;
    /** 第三方API响应代码 */
    private List<String> responseCodeList;

    /** 第三方API响应代码排除列表 */
    private List <String> responseCodeNotList;
    /** 第三方API返回的消息 */
    private List<String> responseMessageList;

    /** 第三方API返回的消息排除列表 */
    private List <String> responseMessageNotList;
    /** 开始 消息发送时间 */
    private String sendTimeStart;

    /** 结束 消息发送时间 */
    private String sendTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ThirdPartyLogsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ThirdPartyLogsQuery> andConditionList;

    public ThirdPartyLogsQuery(){}

    /**
    * 获取 开始 种类详情id
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 种类详情id
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 种类详情id
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 种类详情id
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 种类详情id
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 种类详情id
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 种类详情id
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 种类详情id
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 种类详情id
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 种类详情id
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 房间ID
    * @return roomIdStart
    */
    public Long getRoomIdStart(){
        return this.roomIdStart;
    }

    /**
    * 设置 开始 房间ID
    * @param roomIdStart
    */
    public void setRoomIdStart(Long roomIdStart){
        this.roomIdStart = roomIdStart;
    }

    /**
    * 获取 结束 房间ID
    * @return $roomIdEnd
    */
    public Long getRoomIdEnd(){
        return this.roomIdEnd;
    }

    /**
    * 设置 结束 房间ID
    * @param roomIdEnd
    */
    public void setRoomIdEnd(Long roomIdEnd){
        this.roomIdEnd = roomIdEnd;
    }

    /**
    * 获取 增加 房间ID
    * @return roomIdIncrement
    */
    public Long getRoomIdIncrement(){
        return this.roomIdIncrement;
    }

    /**
    * 设置 增加 房间ID
    * @param roomIdIncrement
    */
    public void setRoomIdIncrement(Long roomIdIncrement){
        this.roomIdIncrement = roomIdIncrement;
    }

    /**
    * 获取 房间ID
    * @return roomIdList
    */
    public List<Long> getRoomIdList(){
        return this.roomIdList;
    }

    /**
    * 设置 房间ID
    * @param roomIdList
    */
    public void setRoomIdList(List<Long> roomIdList){
        this.roomIdList = roomIdList;
    }

    /**
    * 获取 房间ID
    * @return roomIdNotList
    */
    public List<Long> getRoomIdNotList(){
        return this.roomIdNotList;
    }

    /**
    * 设置 房间ID
    * @param roomIdNotList
    */
    public void setRoomIdNotList(List<Long> roomIdNotList){
        this.roomIdNotList = roomIdNotList;
    }


    /**
    * 获取 开始 发送者用户ID
    * @return senderIdStart
    */
    public Long getSenderIdStart(){
        return this.senderIdStart;
    }

    /**
    * 设置 开始 发送者用户ID
    * @param senderIdStart
    */
    public void setSenderIdStart(Long senderIdStart){
        this.senderIdStart = senderIdStart;
    }

    /**
    * 获取 结束 发送者用户ID
    * @return $senderIdEnd
    */
    public Long getSenderIdEnd(){
        return this.senderIdEnd;
    }

    /**
    * 设置 结束 发送者用户ID
    * @param senderIdEnd
    */
    public void setSenderIdEnd(Long senderIdEnd){
        this.senderIdEnd = senderIdEnd;
    }

    /**
    * 获取 增加 发送者用户ID
    * @return senderIdIncrement
    */
    public Long getSenderIdIncrement(){
        return this.senderIdIncrement;
    }

    /**
    * 设置 增加 发送者用户ID
    * @param senderIdIncrement
    */
    public void setSenderIdIncrement(Long senderIdIncrement){
        this.senderIdIncrement = senderIdIncrement;
    }

    /**
    * 获取 发送者用户ID
    * @return senderIdList
    */
    public List<Long> getSenderIdList(){
        return this.senderIdList;
    }

    /**
    * 设置 发送者用户ID
    * @param senderIdList
    */
    public void setSenderIdList(List<Long> senderIdList){
        this.senderIdList = senderIdList;
    }

    /**
    * 获取 发送者用户ID
    * @return senderIdNotList
    */
    public List<Long> getSenderIdNotList(){
        return this.senderIdNotList;
    }

    /**
    * 设置 发送者用户ID
    * @param senderIdNotList
    */
    public void setSenderIdNotList(List<Long> senderIdNotList){
        this.senderIdNotList = senderIdNotList;
    }


    /**
    * 获取 第三方操作类型(create.创建，update.更新，delete.删除，sync.同步，other.其他)
    * @return thirdPartyActionList
    */
    public List<String> getThirdPartyActionList(){
        return this.thirdPartyActionList;
    }

    /**
    * 设置 第三方操作类型(create.创建，update.更新，delete.删除，sync.同步，other.其他)
    * @param thirdPartyActionList
    */
    public void setThirdPartyActionList(List<String> thirdPartyActionList){
        this.thirdPartyActionList = thirdPartyActionList;
    }

    /**
    * 获取 第三方操作类型(create.创建，update.更新，delete.删除，sync.同步，other.其他)
    * @return thirdPartyActionNotList
    */
    public List<String> getThirdPartyActionNotList(){
        return this.thirdPartyActionNotList;
    }

    /**
    * 设置 第三方操作类型(create.创建，update.更新，delete.删除，sync.同步，other.其他)
    * @param thirdPartyActionNotList
    */
    public void setThirdPartyActionNotList(List<String> thirdPartyActionNotList){
        this.thirdPartyActionNotList = thirdPartyActionNotList;
    }

    /**
    * 获取 第三方API请求地址
    * @return requestPathList
    */
    public List<String> getRequestPathList(){
        return this.requestPathList;
    }

    /**
    * 设置 第三方API请求地址
    * @param requestPathList
    */
    public void setRequestPathList(List<String> requestPathList){
        this.requestPathList = requestPathList;
    }

    /**
    * 获取 第三方API请求地址
    * @return requestPathNotList
    */
    public List<String> getRequestPathNotList(){
        return this.requestPathNotList;
    }

    /**
    * 设置 第三方API请求地址
    * @param requestPathNotList
    */
    public void setRequestPathNotList(List<String> requestPathNotList){
        this.requestPathNotList = requestPathNotList;
    }

    /**
    * 获取 第三方API请求代码
    * @return requestMessageList
    */
    public List<String> getRequestMessageList(){
        return this.requestMessageList;
    }

    /**
    * 设置 第三方API请求代码
    * @param requestMessageList
    */
    public void setRequestMessageList(List<String> requestMessageList){
        this.requestMessageList = requestMessageList;
    }

    /**
    * 获取 第三方API请求代码
    * @return requestMessageNotList
    */
    public List<String> getRequestMessageNotList(){
        return this.requestMessageNotList;
    }

    /**
    * 设置 第三方API请求代码
    * @param requestMessageNotList
    */
    public void setRequestMessageNotList(List<String> requestMessageNotList){
        this.requestMessageNotList = requestMessageNotList;
    }

    /**
    * 获取 第三方API响应代码
    * @return responseCodeList
    */
    public List<String> getResponseCodeList(){
        return this.responseCodeList;
    }

    /**
    * 设置 第三方API响应代码
    * @param responseCodeList
    */
    public void setResponseCodeList(List<String> responseCodeList){
        this.responseCodeList = responseCodeList;
    }

    /**
    * 获取 第三方API响应代码
    * @return responseCodeNotList
    */
    public List<String> getResponseCodeNotList(){
        return this.responseCodeNotList;
    }

    /**
    * 设置 第三方API响应代码
    * @param responseCodeNotList
    */
    public void setResponseCodeNotList(List<String> responseCodeNotList){
        this.responseCodeNotList = responseCodeNotList;
    }

    /**
    * 获取 第三方API返回的消息
    * @return responseMessageList
    */
    public List<String> getResponseMessageList(){
        return this.responseMessageList;
    }

    /**
    * 设置 第三方API返回的消息
    * @param responseMessageList
    */
    public void setResponseMessageList(List<String> responseMessageList){
        this.responseMessageList = responseMessageList;
    }

    /**
    * 获取 第三方API返回的消息
    * @return responseMessageNotList
    */
    public List<String> getResponseMessageNotList(){
        return this.responseMessageNotList;
    }

    /**
    * 设置 第三方API返回的消息
    * @param responseMessageNotList
    */
    public void setResponseMessageNotList(List<String> responseMessageNotList){
        this.responseMessageNotList = responseMessageNotList;
    }

    /**
    * 获取 开始 消息发送时间
    * @return sendTimeStart
    */
    public String getSendTimeStart(){
        return this.sendTimeStart;
    }

    /**
    * 设置 开始 消息发送时间
    * @param sendTimeStart
    */
    public void setSendTimeStart(String sendTimeStart){
        this.sendTimeStart = sendTimeStart;
    }

    /**
    * 获取 结束 消息发送时间
    * @return sendTimeEnd
    */
    public String getSendTimeEnd(){
        return this.sendTimeEnd;
    }

    /**
    * 设置 结束 消息发送时间
    * @param sendTimeEnd
    */
    public void setSendTimeEnd(String sendTimeEnd){
        this.sendTimeEnd = sendTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  种类详情id
    * @param id
    */
    public ThirdPartyLogsQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 种类详情id
    * @param idStart
    */
    public ThirdPartyLogsQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 种类详情id
    * @param idEnd
    */
    public ThirdPartyLogsQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 种类详情id
    * @param idIncrement
    */
    public ThirdPartyLogsQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 种类详情id
    * @param idList
    */
    public ThirdPartyLogsQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 种类详情id
        * @param idNotList
        */
        public ThirdPartyLogsQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  房间ID
    * @param roomId
    */
    public ThirdPartyLogsQuery roomId(Long roomId){
	    setRoomId(roomId);
		return this;
    }
	
	 /**
    * 设置 开始 房间ID
    * @param roomIdStart
    */
    public ThirdPartyLogsQuery roomIdStart(Long roomIdStart){
		this.roomIdStart = roomIdStart;
		return this;
    }

    /**
    * 设置 结束 房间ID
    * @param roomIdEnd
    */
    public ThirdPartyLogsQuery roomIdEnd(Long roomIdEnd){
		this.roomIdEnd = roomIdEnd;
		return this;
    }

    /**
    * 设置 增加 房间ID
    * @param roomIdIncrement
    */
    public ThirdPartyLogsQuery roomIdIncrement(Long roomIdIncrement){
		this.roomIdIncrement = roomIdIncrement;
		return this;
    }

    /**
    * 设置 房间ID
    * @param roomIdList
    */
    public ThirdPartyLogsQuery roomIdList(List<Long> roomIdList){
        this.roomIdList = roomIdList;
		return this;
        }

        /**
        * 设置 房间ID
        * @param roomIdNotList
        */
        public ThirdPartyLogsQuery roomIdNotList(List<Long> roomIdNotList){
        this.roomIdNotList = roomIdNotList;
        return this;
        }

    /**
    * 设置  发送者用户ID
    * @param senderId
    */
    public ThirdPartyLogsQuery senderId(Long senderId){
	    setSenderId(senderId);
		return this;
    }
	
	 /**
    * 设置 开始 发送者用户ID
    * @param senderIdStart
    */
    public ThirdPartyLogsQuery senderIdStart(Long senderIdStart){
		this.senderIdStart = senderIdStart;
		return this;
    }

    /**
    * 设置 结束 发送者用户ID
    * @param senderIdEnd
    */
    public ThirdPartyLogsQuery senderIdEnd(Long senderIdEnd){
		this.senderIdEnd = senderIdEnd;
		return this;
    }

    /**
    * 设置 增加 发送者用户ID
    * @param senderIdIncrement
    */
    public ThirdPartyLogsQuery senderIdIncrement(Long senderIdIncrement){
		this.senderIdIncrement = senderIdIncrement;
		return this;
    }

    /**
    * 设置 发送者用户ID
    * @param senderIdList
    */
    public ThirdPartyLogsQuery senderIdList(List<Long> senderIdList){
        this.senderIdList = senderIdList;
		return this;
        }

        /**
        * 设置 发送者用户ID
        * @param senderIdNotList
        */
        public ThirdPartyLogsQuery senderIdNotList(List<Long> senderIdNotList){
        this.senderIdNotList = senderIdNotList;
        return this;
        }


	/**
    * 设置 第三方操作类型(create.创建，update.更新，delete.删除，sync.同步，other.其他)
    * @param thirdPartyAction
    */
    public ThirdPartyLogsQuery thirdPartyAction(String thirdPartyAction){
        setThirdPartyAction(thirdPartyAction);
		return this;
    }

    /**
    * 设置 第三方操作类型(create.创建，update.更新，delete.删除，sync.同步，other.其他)
    * @param thirdPartyActionList
    */
    public ThirdPartyLogsQuery thirdPartyActionList(List<String> thirdPartyActionList){
        this.thirdPartyActionList = thirdPartyActionList;
		return this;
    }


	/**
    * 设置 第三方API请求地址
    * @param requestPath
    */
    public ThirdPartyLogsQuery requestPath(String requestPath){
        setRequestPath(requestPath);
		return this;
    }

    /**
    * 设置 第三方API请求地址
    * @param requestPathList
    */
    public ThirdPartyLogsQuery requestPathList(List<String> requestPathList){
        this.requestPathList = requestPathList;
		return this;
    }


	/**
    * 设置 第三方API请求代码
    * @param requestMessage
    */
    public ThirdPartyLogsQuery requestMessage(String requestMessage){
        setRequestMessage(requestMessage);
		return this;
    }

    /**
    * 设置 第三方API请求代码
    * @param requestMessageList
    */
    public ThirdPartyLogsQuery requestMessageList(List<String> requestMessageList){
        this.requestMessageList = requestMessageList;
		return this;
    }


	/**
    * 设置 第三方API响应代码
    * @param responseCode
    */
    public ThirdPartyLogsQuery responseCode(String responseCode){
        setResponseCode(responseCode);
		return this;
    }

    /**
    * 设置 第三方API响应代码
    * @param responseCodeList
    */
    public ThirdPartyLogsQuery responseCodeList(List<String> responseCodeList){
        this.responseCodeList = responseCodeList;
		return this;
    }


	/**
    * 设置 第三方API返回的消息
    * @param responseMessage
    */
    public ThirdPartyLogsQuery responseMessage(String responseMessage){
        setResponseMessage(responseMessage);
		return this;
    }

    /**
    * 设置 第三方API返回的消息
    * @param responseMessageList
    */
    public ThirdPartyLogsQuery responseMessageList(List<String> responseMessageList){
        this.responseMessageList = responseMessageList;
		return this;
    }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public ThirdPartyLogsQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public ThirdPartyLogsQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public ThirdPartyLogsQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public ThirdPartyLogsQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public ThirdPartyLogsQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public ThirdPartyLogsQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ThirdPartyLogsQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ThirdPartyLogsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ThirdPartyLogsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ThirdPartyLogsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}